<template lang="pug">
  include helpers\mixins
  #app
    .sidebar
      ul.mainNavigation
        li
          router-link(v-bind:to="'/'").mainNavigation__item.mainNavigation__item-logo
        li
          router-link(v-bind:to="'/sell'").mainNavigation__item
            svg.mainNavigation__icon: +use('sell')
            h3.mainNavigation__title Продажи
        li
          router-link(v-bind:to="'/hoz'").mainNavigation__item
            svg.mainNavigation__icon: +use('tools')
            h3.mainNavigation__title Хоз. часть
        li
          router-link(v-bind:to="'/edu'").mainNavigation__item
            svg.mainNavigation__icon: +use('edu')
            h3.mainNavigation__title Уч. отдел
        li
          router-link(v-bind:to="'/admins'").mainNavigation__item
            svg.mainNavigation__icon: +use('admins')
            h3.mainNavigation__title Админы
        li
          router-link(v-bind:to="'/hr'").mainNavigation__item
            svg.mainNavigation__icon: +use('hr')
            h3.mainNavigation__title HR
    .content
      router-view
    include assets\sprite.svg
</template>

<script>
export default {
  name: 'app'
}
</script>

<style lang="styl">
@import "helpers\mixins"
@import "assets/normalize.css"
#app
  @import url('https://fonts.googleapis.com/css?family=Roboto+Condensed:300,400,700&subset=cyrillic')
  font-family 'Roboto Condensed', Helvetica, Arial, sans-serif
  text-align center
  color #2c3e50

  &>svg
    display none
.content
  margin-left 100px
  padding 18px

.mainNavigation
  list-style-type none
  padding 0
  margin 0
  background-color: colors.blue
  width 100px
  height 100vh
  position fixed
  &__item
    display block
    text-align center
    padding 16px 0
    text-decoration none
    font-size 15px
    color: colors.white
    transition .15s background-color
    &:hover
      background-color: colors.darkBlue
    &-logo
      sprite($logo)
      box-sizing border-box
  &__icon
    width 40px
    height 40px
    fill: colors.white
  &__title
    font-weight normal
    margin 4px 0 0
</style>
